aboutsummaryrefslogtreecommitdiff
path: root/libs/libiconv/libiconv.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libs/libiconv/libiconv.SlackBuild')
-rwxr-xr-xlibs/libiconv/libiconv.SlackBuild104
1 files changed, 104 insertions, 0 deletions
diff --git a/libs/libiconv/libiconv.SlackBuild b/libs/libiconv/libiconv.SlackBuild
new file mode 100755
index 00000000..81d2bd79
--- /dev/null
+++ b/libs/libiconv/libiconv.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/bash
+#
+# slackbuild script for libiconv
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="libiconv"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=1.11}
+BUILD=${BUILD:=2rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://ftp.gnu.org/pub/gnu/libiconv/$SRC"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+./configure --prefix=/usr --libdir=$LIBDIR --enable-static
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+libiconv: libiconv (Character set conversion library)
+libiconv:
+libiconv: GNU libiconv provides an iconv() implementation for use on systems
+libiconv: which don't have one or whose implementation cannot convert from/to
+libiconv: Unicode. It supports all the important encodings in use today.
+libiconv:
+libiconv:
+libiconv:
+libiconv:
+libiconv:
+libiconv:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in ABOUT-NLS AUTHORS COPYING.LIB ChangeLog DESIGN INSTALL.generic NEWS NOTES PORTS README THANKS; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+echo 'chroot . /sbin/ldconfig' > install/doinst.sh
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+